<?php
namespace Awaki;

use Index\Autoloader;
use Index\Environment;
use Index\Data\ConnectionFailedException;
use Index\Data\DbTools;

define('AWK_STARTUP', microtime(true));
define('AWK_ROOT', __DIR__);
define('AWK_DEBUG', is_file(AWK_ROOT . '/.debug'));
define('AWK_DIR_SRC', AWK_ROOT . '/src');
define('AWK_DIR_LIB', AWK_ROOT . '/lib');
define('AWK_DIR_PUB', AWK_ROOT . '/public');
define('AWK_DIR_CFG', AWK_ROOT . '/config');

require_once AWK_DIR_LIB . '/index/index.php';

//Autoloader::addNamespace(__NAMESPACE__, AWK_DIR_SRC);
Environment::setDebug(AWK_DEBUG);

$config = parse_ini_file(AWK_DIR_CFG . '/config.ini');
if($config === false)
    die('Config sux.');

try {
    $db = DbTools::create($config['dsn']);
} catch(ConnectionFailedException $ex) {
    echo '<h3>Unable to connect to database</h3>';
    die($ex->getMessage());
}
